# 代码提交规约

## Issue提交模板

### <font color='red'>[强制]</font> 标题务必写明类型是什么

> 为了区分前后端开发所提交的事务,务必在Issue进行工单提交,在工单的每一个标题最前面创建标准字段,字段表明类型是该工单面向后端开发或前端开发.

#### 字段样式

标题样式: `[XX|YY] 一句话描述`

标题样式合法模板①: `[后端|需要数据] 在xxx页面中,需要xxx参数`

标题样式合法模板②: `[后端|发现漏洞] 在xxx页面中,发现xxx类型xxx错误`

#### 字段规定

- 中括号**前**一段字样规定
  - **后端**: 面向后端开发者
  - **前端**: 面向前端开发者

- 中括号**后**一段字样规定
  - **需要数据**: 由发起者需要某些数据需要对应指派人员进行进一步开发以提供.
  - **发现漏洞**: 由发起者发现出现漏洞地方,需要进行检查并维护.
  - **需要重写**: 由发起者发现此段代码出现较为严重问题或者无法进行优化,需要进行代码重写,重新进行代码部署操作.
  - **需要优化**: 由发起者发现代码可以继续优化.
  - **变量优化**: 由发起者发现变量命名/变量配置可以进行优化或可以进行修改配置,以达到更好的效果.
  - **配置错误**: 由发起者发现环境等配置发生了而造成的结果.

- 中括号以外字段规定
  - 没有指定规定,简洁明了即可.

#### <font color='gold'>[参考]</font> 样式参考

![image-20230712140622042](https://i-cdn.akass.cn/2023/07/64ae48db3de2a.webp!wp60)


### <font color='red'>[强制]</font> 请务必选择标签内容

> 请根据已有标签选择合理标签,禁止不填写任何标签.

### <font color='red'>[强制]</font> 请务必选择指派人员

> 请明确此工单需要指派的人员,若没有详细的指派人员,请直接指派给项目小组组长或项目组组长/项目经理进行分配.

### <font color='deepskyblue'>[推荐]</font> 若有项目请填写所属项目

> 若有项目请选择合理项目方便进行看板查看.

![image-20230712135338302](https://i-cdn.akass.cn/2023/07/64ae413ad64b1.png!wp60)

#### 测试举例

- 新建工单
  - 工单分支：feature
  - 工单标题：[后端|发现漏洞] 文件web.php发现问题
  - 工单标签：bug
  - 工单项目：漏洞修复(FixBUG)
  - 指派人员：DC_DC

![image-20230712140622042](https://i-cdn.akass.cn/2023/07/64ae42e040c5e.png!wp60)



## Pull Request提交模板

### <font color='red'>[强制]</font> 对于暂时不需要进行合并请求的申请添加`WIP:`字样

> 添加 `WIP:` 字样可以避免审查及有权限开发者进行代码合并,避免出现沟通不佳,无效合并.

![image-20230712141403266](https://i-cdn.akass.cn/2023/07/64ae44add4c31.png!wp60)

### <font color='red'>[强制]</font> PR标题必须写明类型是什么

> 为了区分前后端开发所提交的事务,务必在PR进行工单提交,在工单的每一个标题最前面创建标准字段,字段表明类型是该工单面向后端开发或前端开发.

与 [[强制] 标题务必写明类型是什么](#<font color='red'>[强制]</font> 标题务必写明类型是什么) 配置一致

### <font color='red'>[强制]</font> 若本次PR是处理Issue问题务必填写所属工单

> 以便与工单达成对应关系,方便代码的处理与开发操作,同时可以在项目中进行内容显示.



## 代码推送

### <font color='red'>[强制]</font> 代码推送标题务必写明类型

> 明确的类型可以方便代码进行审查时候或者其他开发者进行查看推送任务可以了解您的推送具体推送任务是什么.

#### 字段样式

| 功能内容      | 描述                                                       |
| :------------ | ---------------------------------------------------------- |
| `AddFeature`  | 添加新的功能组件                                           |
| `Modify`      | 进行新功能的持续更新维护(仅适用于新功能的迭代与共享的修改) |
| `EditFeature` | 修改某项功能                                               |
| `DelFeature`  | 删除功能                                                   |
| `FixBUG`      | 进行漏洞修复与补丁                                         |
| `AddFile`     | 添加文件(单纯进行文件的新建,没有对文件进行新功能的编写)    |
| `DelFile`     | 删除文件(单纯进行文件的删除,没有对文件进行功能的修改)      |
| `Merge`       | 常规合并分支                                               |
| `Rebase`      | 常规变基分支                                               |

#### <font color='gold'>[参考]</font>字段举例

```
AddFeature: 新增登陆系统功能

<你的具体提交说明>

<文件变动>
```

### <font color='red'>[强制]</font> 代码推送禁止只填写标题而不描述提交具体说明

> 若未进行详细提交描述则其他开发者无法通过其他描述进行代码开发等.

#### <font color='gold'>[参考]</font>字段举例

```
<标题>

完成登陆系统和注册组件的处理,前端处理操作,用户可以通过对应页面进行ye'mia.

<文件变动>
```

### <font color='deepskyblue'>[推荐]</font> 对于变动文件可以写明

> 方便开发者可以未进行代码查询时,可明确具体修改了什么文件.

此样式内容添加在提交内容的最末端,**与提交说明需要空一行**.

#### <font color='gold'>[参考]</font> 样式举例

```
<标题>

<你的具体提交说明>

新增文件:
- login.blade.php
- register.blade.php
修改文件:
- unregister.blade.php
删除文件:
- token.php
```

